curl --request POST \
--url https://api.eka.care/ipd/v1/sdk/admissions/{admission_id}/billing/invoices \
--header 'Content-Type: application/json' \
--header 'auth: <auth>' \
--data '
{
"chargeIds": [
"<string>"
],
"policyIds": [
"<string>"
],
"meterIds": [
"<string>"
],
"notes": "<string>"
}
'import requests
url = "https://api.eka.care/ipd/v1/sdk/admissions/{admission_id}/billing/invoices"
payload = {
"chargeIds": ["<string>"],
"policyIds": ["<string>"],
"meterIds": ["<string>"],
"notes": "<string>"
}
headers = {
"auth": "<auth>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {auth: '<auth>', 'Content-Type': 'application/json'},
body: JSON.stringify({
chargeIds: ['<string>'],
policyIds: ['<string>'],
meterIds: ['<string>'],
notes: '<string>'
})
};
fetch('https://api.eka.care/ipd/v1/sdk/admissions/{admission_id}/billing/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "inv-201",
"invoiceNumber": "INV-000201",
"status": "partly_paid",
"subtotal": "7545.00",
"discountTotal": "0.00",
"taxTotal": "0.00",
"total": "7545.00",
"amountPaid": "5000.00",
"amountDue": "2545.00",
"issuedAt": "2026-10-07T12:00:00.000Z"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Create an invoice
Invoices the given charges (all un-invoiced charges when chargeIds is omitted), with an optional bill-level discount. Running room meters are billed up to now unless meterIds says otherwise.
The admission must be on new billing (use_new_billing); otherwise this returns 409. Returns 503 when billing is not configured on the server, and 502 when the billing service fails.
Headers
Path Parameters
Id of the IPD admission.
1Body
Charges to invoice; omit for every un-invoiced charge.
Bill-level discount on the whole invoice.
Show child attributes
Show child attributes
Discount policies to apply.
Running room meters to bill up to now onto this invoice. Omit = all running meters; [] = none.
Response
An invoice: id, invoiceNumber, status, subtotal, discountTotal, taxTotal, total, amountPaid, amountDue, issuedAt, …
An invoice: id, invoiceNumber, status, subtotal, discountTotal, taxTotal, total, amountPaid, amountDue, issuedAt, …
Was this page helpful?

